<?php
/**
 * The template for displaying archive
 *
 * @package Supernova
 * @since Supenova 1.0
 * @license GPL 2.0
 */
?>

<?php get_header(); ?>
		
	<div id="content_wrapper">
    	<div id="content">
        	<section class="main_content">
		<?php if (have_posts()) : ?>

 			<?php $post = $posts[0];?>

			<?php /* If this is a category archive */ if (is_category()) { ?>
				<h1><?php _e('Archive for the', 'Supernova'); ?> &#8216;<?php single_cat_title(); ?>&#8217; Category</h1>

			<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
				<h1><?php _e('Posts Tagged', 'Supernova'); ?> &#8216;<?php single_tag_title(); ?>&#8217;</h1>

			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h1><?php _e('Author Archive', 'Supernova'); ?></h1>

			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h1><?php _e('Blog Archives', 'Supernova'); ?></h1>
			
			<?php  } else{ ?>
				<h1><?php _e('Archives', 'Supernova'); ?></h1>            
			<?php } ?>

			<?php get_template_part('includes/inc/nav'); ?>  

			<?php while (have_posts()) : the_post(); ?>
			
				<div <?php post_class() ?>>
				
					<h2 class="post_title" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
					
					<?php get_template_part('includes/meta'); ?>  

					<div class="entry">
						<?php the_content(); ?>
					</div>

				</div>

			<?php endwhile; ?>

			<?php get_template_part('includes/inc/nav'); ?>  
			
	<?php else : ?>

		<h2><?php _e('Nothing found', 'Supernova'); ?></h2>

	<?php endif; ?>
    	</section><!--main_content ENDS -->
	</div><!--content ENDS -->
	
<?php get_sidebar('page'); ?>

</div><!--content_wrapper ENDS -->

<?php get_footer(); ?>