<?php
/**
 * The main template file which most of the time is used on the home page
 * 
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Supernova
 * @since Supenova 1.0
 * @license GPL 2.0
 */
?>

<?php get_header(); ?>
<?php global $paged, $supernova_options; ?>

<div id="content_wrapper">
	<section id="content" class="home_content">
    	<?php if($paged==0 && !supernova_options('disable-slider')){ ?>
    		<div id="supernova_slider_wrapper">
            	<div id="supernova_slider">
                	<?php get_template_part('includes/index', 'slider'); ?>
                </div><!--slider ENDS --> 
            </div><!--slider_wrapper ENDS -->
    								<div class="loader"></div>
                                    <?php } ?>
        <section class="main_content">	
        	<h1 class="latest_blogs"><?php _e('Latest Blogs', 'Supernova'); ?></h1>
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>        
            
                <article <?php post_class() ?> id="post-<?php the_ID(); ?>">
                    <h2 class="post_title" ><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
                    <div class="entry">               	                           
							<a href="<?php the_permalink() ?>"><?php supernova_thumbnail(); ?></a>
							<?php the_excerpt(); ?>
                            				<div class="clearfix"></div>
                    </div><!--entry -->
                    						
                    <div class="postmetadata">
                    <?php get_template_part('includes/meta'); ?>                                          
                    </div>
                </article>
            <?php endwhile; ?>
            <?php else : ?>
                <h2><?php _e('Not Found', 'Supernova'); ?></h2>
                
            <?php endif; ?>
            <?php supernova_pagination(); ?>
        </section><!--main_content ENDS -->
        	<div class="clearfix"></div>                                   
	</section><!--content ENDS -->
    
<?php get_sidebar(); ?>

<div class="clearfix"></div>
</div><!--content_wrapper ENDS -->


<?php get_footer(); ?>