<?php
/*
* This files contains all the default values, and the arrays created for option's pages.
* If you wish to add more fields to the options page you can just add additional arrays here, and it will be added to the options
* page through the loop used in the pages in lib/admin/pages
*/

$supernova_defaults= array();

//General
$supernova_defaults[]=array(
		'name'=>__('Upload Favicon', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Favicon is the tiny icon that you see on your browser\'s tab. Either create a 16x16px image or create it online and upload it here .', 'Supernova'),					
		'id'=> 'favicon',
		'page'=>'general',
		);
		
$supernova_defaults[]=array(
		'name'=>__('Turn Off Sticky Navigation', 'Supernova'),
		'type'=>'checkbox',
		'desc'=>__('By default the top navigation is sticky however you can turn off this functionality', 'Supernova'),					
		'id'=> 'sticky-nav',
		'page'=>'general',
		);
		
$supernova_defaults[]=array(
		'name'=>__('Remove dropdown Effect', 'Supernova'),
		'type'=>'checkbox',
		'desc'=>__('It will remove the navigation dropdown effect and arrow but the drop will still work', 'Supernova'),					
		'id'=> 'disable-nav-effect',
		'page'=>'general',
		);		
		
//Layout		
$supernova_defaults[]=array(
		'name'=>__('Layout Width(px)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('This is the total width of your website\'s layout in pixels', 'Supernova'),
		'id'=> 'layout-width',
		'page'=>'Layout',
		'max'=>1320,
		'min'=>900,
		'default'=>1100,
		);		
		
$supernova_defaults[]=array(
		'name'=>__('Content Width(%)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('Decide the width of the content area (in percentage).', 'Supernova'),
		'id'=> 'content-width',
		'page'=>'Layout',
		'max'=>100,
		'min'=>0,
		'default'=>70,
		);
				
$supernova_defaults[]=array(
		'name'=>__('Sidebar Width(%)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('<b>THE TOTAL OF CONTENT AND SIDEBAR WIDTH SHOULD BE 100%</b>.', 'Supernova'),
		'id'=> 'sidebar-width',
		'page'=>'Layout',
		'max'=>100,
		'min'=>0,
		'default'=>30,
		);
		
$supernova_defaults[]=array(
		'name'=>__('Sidebar Position', 'Supernova'),
		'type'=>'radio',
		'desc'=>__('<b>THE TOTAL OF CONTENT AND SIDEBAR WIDTH SHOULD BE 100%</b>.', 'Supernova'),
		'id'=> 'sidebar-pos',
		'page'=>'Layout',
		);		

//Styling
$supernova_defaults[]=array(
		'name'=>__('Font Family', 'Supernova'),
		'type'=>'select',
		'desc'=>__('Will only affect the post paragraph.', 'Supernova'),
		'id'=> 'font-style',
		'page'=>'Styling',
		);
		
$supernova_defaults[]=array(
		'name'=>__('Post Paragraph(px)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('This will only affect the font size of the post paragraphs', 'Supernova'),
		'id'=> 'post-para-size',
		'page'=>'Styling',
		'max'=>60,
		'min'=>0,
		'default'=>14,
		);
		
$supernova_defaults[]=array(
		'name'=>__('Post heading(px)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('This will only affect the font size of the post heading ', 'Supernova'),
		'id'=> 'post-heading-size',
		'page'=>'Styling',
		'max'=>60,
		'min'=>0,
		'default'=>29,
		);	
		
$supernova_defaults[]=array(
		'name'=>__('Site heading(px)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('This will only affect the font size of the Site Title ', 'Supernova'),
		'id'=> 'site-heading-size',
		'page'=>'Styling',
		'max'=>80,
		'min'=>0,
		'default'=>30,
		);
		
$supernova_defaults[]=array(
		'name'=>__('Site Discription(px)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('This will only affect the font size of the Site Description ', 'Supernova'),
		'id'=> 'site-desc-size',
		'page'=>'Styling',
		'max'=>60,
		'min'=>0,
		'default'=>14,
		);		
		
$supernova_defaults[]=array(
		'name'=>__('Sidebar Heading(px)', 'Supernova'),
		'type'=>'hidden',
		'desc'=>__('This will only affect the font size of the sidebar heading ', 'Supernova'),
		'id'=> 'sidebar-heading-size',
		'page'=>'Styling',
		'max'=>60,
		'min'=>0,
		'default'=>25,
		);						

$supernova_defaults[]=array(
		'name'=>__('Post Paragraph', 'Supernova'),
		'type'=>'text',
		'desc'=>__('This will only affect the font color of the content', 'Supernova'),
		'id'=> 'post-para-color',
		'page'=>'Styling',
		);
		
$supernova_defaults[]=array(
		'name'=>__('Post Heading', 'Supernova'),
		'type'=>'text',
		'desc'=>__('This will only affect the font color of the post heading', 'Supernova'),
		'id'=> 'post-heading-color',
		'page'=>'Styling',
		);		
										
//Slider Posts
$supernova_defaults[]=array(
		'name'=>__('Disable Slider', 'Supernova'),
		'type'=>'checkbox',
		'desc'=>__('Will remove slider', 'Supernova'),
		'id'=> 'disable-slider',								
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Slide Effect', 'Supernova'),
		'type'=>'select',
		'desc'=>__('Will change slider effect', 'Supernova'),
		'id'=> 'fade-slider',
		'value1'=>'slide',
		'value2'=>'fade',
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Post One', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat1',
		'id2'=>'slider1',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Post Two', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat2',
		'id2'=>'slider2',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Post Three', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat3',
		'id2'=>'slider3',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Post Four', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat4',
		'id2'=>'slider4',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Post Five', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat5',
		'id2'=>'slider5',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);	

$supernova_defaults[]=array(
		'name'=>__('Post Six', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat6',
		'id2'=>'slider6',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);	

$supernova_defaults[]=array(
		'name'=>__('Post Seven', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat7',
		'id2'=>'slider7',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);

$supernova_defaults[]=array(
		'name'=>__('Post Eight', 'Supernova'),
		'type'=>'text',
		'desc'=>__('Choose Post + Image OR just post which already has featured image.', 'Supernova'),
		'id'=> 'fat8',
		'id2'=>'slider8',
		'placeholder'=>'leave emtpy to show featured image',
		'page'=>'SLIDER POSTS',
		);	

//Social Profiles
$supernova_defaults[]=array(
		'name'=>'Facebook',
		'type'=>'text',
		'desc'=>__('Enter the URL of your facebook fan page.', 'Supernova'),
		'id'=> 'facebook-link',
		'image'=>'facebook.gif',
		'placeholder'=>'http://facebook.com/yourfanpage',
		'page'=>'Social Profiles',
		);	

$supernova_defaults[]=array(
		'name'=>'Twitter',
		'type'=>'text',
		'desc'=>__('The icon will appear only if you enter a url.', 'Supernova'),
		'id'=> 'twitter-link',
		'image'=>'twitter.gif',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);	

$supernova_defaults[]=array(
		'name'=>'Goolge +1',
		'type'=>'text',
		'desc'=>__('The icon will appear only if you enter a url.', 'Supernova'),
		'id'=> 'google-link',
		'image'=>'google_plus.gif',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);
					
$supernova_defaults[]=array(
		'name'=>'RSS',
		'type'=>'text',
		'desc'=>__('The icon will appear only if you enter a url.', 'Supernova'),
		'id'=> 'rss-link',
		'image'=>'rss.gif',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);
		
$supernova_defaults[]=array(
		'name'=>'You Tube',
		'type'=>'text',
		'desc'=>__('The icon will appear only if you enter a url.', 'Supernova'),
		'id'=> 'youtube-link',
		'image'=>'youtube.gif',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);		

$supernova_defaults[]=array(
		'name'=>'Disable Facebook',
		'type'=>'checkbox',
		'desc'=>__('Will remove Facebook share icon from post', 'Supernova'),
		'id'=> 'disable-facebook',
		'image'=>'facebook-icon.png',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);
		
$supernova_defaults[]=array(
		'name'=>'Disable Twitter',
		'type'=>'checkbox',
		'desc'=>__('Will remove Twitter share icon from post', 'Supernova'),
		'id'=> 'disable-twitter',
		'image'=>'twitter-icon.png',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);
		
$supernova_defaults[]=array(
		'name'=>'Disable Google +1',
		'type'=>'checkbox',
		'desc'=>__('Will remove Google +1 share icon from post', 'Supernova'),
		'id'=> 'disable-google',
		'image'=>'googleplus.png',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);
		
$supernova_defaults[]=array(
		'name'=>'Disable StumbleUpon',
		'type'=>'checkbox',
		'desc'=>__('Will remove StumbleUpon share icon from post', 'Supernova'),
		'id'=> 'disable-stumble',
		'image'=>'stumbleupon.png',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);
						
$supernova_defaults[]=array(
		'name'=>'Disable All Share Icons',
		'type'=>'checkbox',
		'desc'=>__('Will remove all share icon only from post', 'Supernova'),
		'id'=> 'disable-share',
		'image'=>'arrow.png',
		'placeholder'=>'',
		'page'=>'Social Profiles',
		);		
		
//Advanced
$supernova_defaults[]=array(
		'name'=>'Footer Text',
		'type'=>'text',
		'desc'=>__('Will replace the footer text', 'Supernova'),
		'id'=> 'footer-text',
		'page'=>'Advanced',
		);	

$supernova_defaults[]=array(
		'name'=>'Remove Categories from header',
		'type'=>'checkbox',
		'desc'=>__('Will remove categories from header', 'Supernova'),
		'id'=> 'disable-categories',
		'page'=>'Advanced',
		);	

$supernova_defaults[]=array(
		'name'=>'Disable Date',
		'type'=>'checkbox',
		'desc'=>__('Will remove date from posts meta', 'Supernova'),
		'id'=> 'disable-date',
		'page'=>'Advanced',
		);	

$supernova_defaults[]=array(
		'name'=>'Disable Author',
		'type'=>'checkbox',
		'desc'=>__('Will remove author from post meta', 'Supernova'),
		'id'=> 'disable-author',
		'page'=>'Advanced',
		);	

$supernova_defaults[]=array(
		'name'=>'Disable all meta',
		'type'=>'checkbox',
		'desc'=>__('Will remove all meta from the post', 'Supernova'),
		'id'=> 'disable-meta',
		'page'=>'Advanced',
		);	

$supernova_defaults[]=array(
		'name'=>'Remove search box from Navigation',
		'type'=>'checkbox',
		'desc'=>__('Will remove search box from the navigation post', 'Supernova'),
		'id'=> 'disable-search',
		'page'=>'Advanced',
		);	

$supernova_defaults[]=array(
		'name'=>'Remove back to top',
		'type'=>'checkbox',
		'desc'=>__('Will remove back to top from the bottom right', 'Supernova'),
		'id'=> 'disable-back-to-top',
		'page'=>'Advanced',
		);
		
$supernova_defaults[]=array(
		'name'=>'Remove pagination',
		'type'=>'checkbox',
		'desc'=>__('Will remove theme\'s default pagination so you can use some plugin you like', 'Supernova'),
		'id'=> 'disable-pagination',
		'page'=>'Advanced',
		);				

//Font Array
$supernova_fonts=array(	
	'Georgia, serif', 
	'\'Palatino Linotype\', \'Book Antiqua\', Palatino, serif',
	'\'Times New Roman\', Times, serif',
	'Arial, Helvetica, sans-serif', 
	'\'Arial Black\', Gadget, sans-serif', 
	'\'Comic Sans MS\', cursive, sans-serif', 
	'Impact, Charcoal, sans-serif', 
	'\'Lucida Sans Unicode\', \'Lucida Grande\', sans-serif', 
	'Tahoma, Geneva, sans-serif', 
	'\'Trebuchet MS\', Helvetica, sans-serif', 
	'Verdana, Geneva, sans-serif', 
	'\'Courier New\', Courier, monospace', 
	'\'Lucida Console\', Monaco, monospace' 
);


//Setting Default values
$supernova_defaults_values = array(
		'favicon' => '',
		'sticky-nav'=>false,
		'disable-nav-effect'=>false,
		'layout-width' => 1100,
		'content-width' => 70,
		'sidebar-width'=> 30,
		'sidebar-pos'=> 2,
		'font-style'=>'default',
		'post-para-size' => 14,
		'post-heading-size'=>29,
		'site-heading-size'=>30,
		'sidebar-heading-size'=>25,
		'site-desc-size'=>14,
		'sidebar-heading-size'=>25,
		'post-para-color'=> '000000',
		'post-heading-color'=> '525252',
		'facebook-link'=> '',
		'twitter-link'=> '',
		'youtube-link'=> '',
		'google-link' => '',
		'delicious-link'=> '',
		'linkedin-link'=> '',
		'rss-link' => '',
		'disable-facebook'=> false,
		'disable-twitter'=> false,
		'disable-google'=> false,
		'disable-stumble'=> false,	
		'footer-text'=> '',
		'disable-slider'=> false,
		'disable-categories'=> false,
		'disable-share'=> false,
		'disable-date'=> false,
		'disable-author'=> false,
		'disable-meta'=> false,
		'disable-search'=> false,
		'disable-back-to-top'=> false,
		'disable-pagination'=>false,
		'fade-slider'=>'slide',
		'fat1'=>'',
		'fat2'=>'',
		'fat3'=>'',
		'fat4'=>'',
		'fat5'=>'',
		'fat6'=>'',
		'fat7'=>'',
		'fat8'=>'',
		'fat9'=>'',
		'fat10'=>'',
		'slider1'=>'',
		'slider2'=>'',
		'slider3'=>'',
		'slider4'=>'',
		'slider5'=>'',
		'slider6'=>'',
		'slider7'=>'',
		'slider8'=>'',
		'slider9'=>'',
		'slider10'=>'',
);

/*
*These are the arrays created speically for the validation purposes and are used in validation callback function
*if you want to add more fields, dont forget to include those field ids in the appropriate array
*@since Supernova 1.0
*/

//Array for links
$supernova_link_array= array(
		'favicon',
		'facebook-link',
		'twitter-link',
		'youtube-link',
		'google-link',
		'rss-link',
		'slider1',
		'slider2',
		'slider3',
		'slider4',
		'slider5',
		'slider6',
		'slider7',
		'slider8',
		'slider9',
		'slider10',		
			);

//Array for checkboxes	
$supernova_checkbox_array= array(
		'sticky-nav',
		'disable-nav-effect',
		'disable-slider',
		'disable-categories',
		'disable-share',
		'disable-date',
		'disable-author',
		'disable-meta',
		'disable-search',
		'disable-back-to-top',
		'disable-facebook',
		'disable-twitter',
		'disable-google',
		'disable-stumble',
		'disable-pagination'
		);
//Array for numbers		
$supernova_numbers_array= array(
		'layout-width',
		'content-width',
		'sidebar-width',
		'post-para-size',
		'post-heading-size',
		'site-heading-size',
		'sidebar-heading-size',
		'site-desc-size',
		'sidebar-heading-size',
		'sidebar-pos',
		'fat1',
		'fat2',
		'fat3',
		'fat4',
		'fat5',
		'fat6',
		'fat7',
		'fat8',
		'fat9',
		'fat10',		
		);	
//Array for text or number
$supernova_text_array = array(
		'footer-text',
		'fade-slider',
		'post-para-color',
		'post-heading-color',		
	);