<?php 
/* 
*	All files for the theme have been included only from here so debugging can be easier.
*	There is a seprate folder named 'enqueue' where all the script and styles have been enqueued.
*   This theme has used some custom funtions for ease which can be found in 'functions' folder under custom_functions.php file
*	Some more functionality have been added in 'extras' folder under extras.php file
*   Each path has been defined so that if I change the folder name or move the file to other location I dont have to change name
*   at each place, and also because it looks clean.
*/

//Supernova Definitions
if(!defined('SUPERNOVA_ROOT')){
	define('SUPERNOVA_ROOT', get_template_directory_uri());
}
if(!defined('SUPERNOVA_ROOT_ADMIN')){
	define('SUPERNOVA_ROOT_ADMIN', SUPERNOVA_ROOT.'/lib/admin/');
}
if(!defined('SUPERNOVA_LIB')){
	define('SUPERNOVA_LIB', SUPERNOVA_DIR.'/lib/');
}
if(!defined('SUPERNOVA_ADMIN')){
	define('SUPERNOVA_ADMIN', SUPERNOVA_LIB.'admin/' );
}
if(!defined('SUPERNOVA_ADMIN_PAGES')){
	define('SUPERNOVA_ADMIN_PAGES', SUPERNOVA_ADMIN.'pages/');
}
if(!defined('SUPERNOVA_FUNCTIONS')){
	define('SUPERNOVA_FUNCTIONS', SUPERNOVA_LIB.'functions/');
}
if(!defined('SUPERNOVA_WIDGETS')){
	define('SUPERNOVA_WIDGETS', SUPERNOVA_LIB.'widgets/' );
}
if(!defined('SUPERNOVA_ENQUEUE')){
	define('SUPERNOVA_ENQUEUE', SUPERNOVA_LIB.'enqueue/' );
}
if(!defined('SUPERNOVA_EXTRAS')){
	define('SUPERNOVA_EXTRAS', SUPERNOVA_LIB.'extras/');
}
if(!defined('SUPERNOVA_INC')){
	define('SUPERNOVA_INC', '/includes/inc/');
}

//File includes
include_once SUPERNOVA_ENQUEUE.'front-enqueue.php';
include_once SUPERNOVA_ENQUEUE.'admin-enqueue.php';
include_once SUPERNOVA_ADMIN.'admin-setup.php';
include_once SUPERNOVA_FUNCTIONS.'pagination.php';
include_once SUPERNOVA_FUNCTIONS.'custom_functions.php';
include_once SUPERNOVA_WIDGETS.'recent-posts.php';
include_once SUPERNOVA_EXTRAS.'extras.php';
include_once SUPERNOVA_EXTRAS.'custom-css.php';


$supernova_theme_uri= 'http://supernovathemes.com';

add_filter( 'wp_title', 'supernova_wp_title', 10, 2 );
function supernova_wp_title($title){
	global $page, $paged;
	if ( is_feed() )
		return $title;
		$site_description = get_bloginfo( 'description' );
		$supernova_title = $title . get_bloginfo( 'name' );
		$supernova_title .= ( ! empty( $site_description ) && ( is_home() || is_front_page() ) ) ? ' | ' . $site_description: '';
		$supernova_title .= ( 2 <= $paged || 2 <= $page ) ? ' | ' . sprintf( __( 'Page %s', 'Supernova' ), max( $paged, $page ) ) : '';
		return $supernova_title;
	}
	
add_action('wp_head', 'supernova_wp_favicon');
function supernova_wp_favicon(){
	global $supernova_options;
	if($supernova_options['favicon']){
		echo '<link rel="shortcut icon" href="'.esc_url(trim($supernova_options['favicon'])).'">';
		}
	}	
	
/*Call back functions for header */
function supernova_header_style() {
	$text_color = get_header_textcolor();

	// If no custom options for text are set
	if ( $text_color == get_theme_support( 'custom-header', 'default-text-color' ) )
		return;
	?>
	<style type="text/css">
	<?php
		if ( ! display_header_text() ) :
	?>
		.site-title,
		.site-description {
			position: absolute !important;
			clip: rect(1px 1px 1px 1px); /* IE7 */
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php else : // If the user has set a custom color for the text, use that. ?>
		.site-title a,
		.site-description {
			color: #<?php echo $text_color; ?> !important;
		}
	<?php endif; ?>
	</style>
	<?php
}

// Styles the header image displayed in admin panel appearance.
function supernova_admin_header_style() {
?>
	<style type="text/css">
	.appearance_page_custom-header #headimg {
		border: none;
	}
	#headimg h1,
	#headimg h2 {
		line-height: 1.6;
		margin: 0;
		padding: 0;
	}
	#headimg h1 {
		font-size: 30px;
	}
	#headimg h1 a {
		color: #515151;
		text-decoration: none;
	}
	#headimg h1 a:hover {
		color: #21759b;
	}
	#headimg h2 {
		color: #757575;
		font: normal 13px/1.8 "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", sans-serif;
		margin-bottom: 24px;
	}
	#headimg img {
		max-width: <?php echo get_theme_support( 'custom-header', 'max-width' ); ?>px;
	}
	</style>
<?php
}

/*
* Outputs the markup to be displayed in admin panel.
* This callback overrides the default markup displayed there.
*/ 
function supernova_admin_header_image() {
	?>
	<div id="headimg">
		<?php
		if ( ! display_header_text() )
			$style = ' style="display:none;"';
		else
			$style = ' style="color:#' . get_header_textcolor() . ';"';
		?>
		<h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
		<h2 id="desc"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></h2>
		<?php $header_image = get_header_image();
		if ( ! empty( $header_image ) ) : ?>
			<img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
		<?php endif; ?>
	</div>
<?php }