<?php
/**
 * All fron-end files have been loaded only from here to keep things clean and arranged
 */

//LOADING CSS
add_action( 'wp_enqueue_scripts', 'supernova_front_css_enqueue' );
function supernova_front_css_enqueue(){	

	wp_register_style( 'slider_demo', SUPERNOVA_ROOT. '/css/demo.css', array(), '1.0', 'all' ); //Slider demo
	wp_enqueue_style( 'slider_demo' );		
	wp_register_style( 'flexslider', SUPERNOVA_ROOT. '/css/flexslider.css', array(), '1.0', 'all' ); //Slider flexslider
	wp_enqueue_style( 'flexslider' );			
	wp_register_style( 'shCore', SUPERNOVA_ROOT. '/css/shCore.css', array(), '1.0', 'all' ); //Slider shCore
	wp_enqueue_style( 'shCore' );				
	wp_register_style( 'main_style', get_stylesheet_uri(), array(), '1.0', 'all' ); //Main Stylesheet
	wp_enqueue_style( 'main_style' );
	if ( is_singular() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' ); //Comment
	}
}
		
//LOADING SCRIPTS...
add_action( 'wp_enqueue_scripts', 'supernova_load_jquery' );
function supernova_load_jquery(){
	//Only for front end
   wp_deregister_script('jquery'); 
   //registering latest jquery only for front end
   wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js', false); 
   wp_enqueue_script('jquery');
	}
	
add_action( 'wp_enqueue_scripts', 'supernova_front_script_enqueue' );
function supernova_front_script_enqueue(){
	global $supernova_options;
	wp_enqueue_script('supernova_header_js', SUPERNOVA_ROOT. '/js/main/header_js.js',array('jquery'),1.0, false); //header js
	if(!supernova_options('disable-nav-effect')){ 
	wp_enqueue_script('supernova_footer_js', SUPERNOVA_ROOT. '/js/main/footer_js.js',array('jquery'),1.0, false);} //Footer js goes here	
	if(!supernova_options('disable-slider')){ 	
	wp_enqueue_script('jquery_flexslider', SUPERNOVA_ROOT. '/js/jquery.flexslider.js',array('jquery'),1.0, false); //jquery_flexslider		
	wp_enqueue_script('modernizr', SUPERNOVA_ROOT. '/js/modernizr.js',array('jquery'),1.0, false);} //jquery_flexslider
	if(!supernova_options('disable-nav-effect')){ 
	wp_enqueue_script('supernova_nav_plugin', SUPERNOVA_ROOT. '/js/nav.js',array('jquery'),1.0, false);} //navigation
	if(!supernova_options('sticky-nav')){ 
	wp_enqueue_script('supernova_sticky_plugin', SUPERNOVA_ROOT. '/js/jquery.sticky.js',array('jquery'),1.0, false); } //Sticky 

}

// AddING html5 & selectivizr for IE older versions
add_action('wp_head', 'supernova_wp_head');
function supernova_wp_head(){	
	?>
    <!--[if lt IE 9]>
    <script src="<?php echo SUPERNOVA_ROOT; ?>/js/html5.js" type="text/javascript"></script>
	<![endif]-->
	<!--[if (gte IE 6)&(lte IE 8)]>
		<script type="text/javascript" src="<?php echo SUPERNOVA_ROOT; ?>/js/selectivizr.js"></script>
	<![endif]-->
	<?php
}