<?php 
/*
*	These are some custom functions created for this theme which have been used throughout
*/

/* 
*supernova_page_list gets the list of pages
*1st argument= page type; 
*2nd argument= input name; 
*3rd argument= value;
*/
// Usage: supernova_page_list('page', 'supernova_settings[featured_item_page_id'.$i.']', $supernova_options['featured_item_page_id'.$i]);

function supernova_page_list($supernova_page_type, $supernova_pagelist_settings, $supernova_pagelist_options){
	global $wpdb;
	$page_results= $wpdb->get_results("SELECT * FROM $wpdb->posts WHERE post_type='$supernova_page_type' AND post_status='publish'  ORDER BY menu_order", 'OBJECT');		
	?>
	<select name="<?php echo $supernova_pagelist_settings ?>">
		<option value="<?php echo $supernova_pagelist_options; ?>"><?php if(trim($supernova_pagelist_options)){ echo get_the_title($supernova_pagelist_options);}else{ echo "------select ".$supernova_page_type."------";} ?></option> 
		<?php if ( $page_results ) : foreach ( $page_results as $pages ) : ?>            
			<option value="<?php echo $pages->ID; ?>">
			<?php echo supernova_cut_off($pages->post_title);?>	
			</option>
		<?php endforeach; endif; ?>
		</select>             
	<?php
	}

/*Cuts off the string*/
function supernova_cut_off($string){
	$string = (strlen($string) > 35) ? substr($string,0,40).'...' : $string;
	return $string;
	}
			
//It gets the page Id by its slug			
function get_ID_by_slug($page_slug) {
    $page = get_page_by_path($page_slug);
    if ($page) {
        return $page->ID;
    } else {
        return null;
    }
}
			
//Function for the slider bar
function supernova_slider_bar_settings($slider_class, $result_class, $hidden_id, $slider_bar_value, $slider_default, $min_value, $max_value){
	?>
	<script>
			jQuery( ".<?php echo $slider_class; ?>" ).slider({
				animate: true,
				range: "min",
				value: <?php if($slider_bar_value){ echo $slider_bar_value;}else{echo $slider_default;} ?>,
				min: <?php echo $min_value; ?>,
				max: <?php echo $max_value; ?>,
				step: 1,				
				slide: function( event, ui ) {
					jQuery( ".<?php echo $result_class; ?>" ).html( ui.value );
				},
				change: function(event, ui) { 
				jQuery('#<?php echo $hidden_id; ?>').attr('value', ui.value);
				}			
				});	
	</script>                
	<?php }
	
//Reminds user to update their version
function supernova_version_notice(){
		global $wp_version;
		if ( $wp_version < 3.5) {
			echo '<p id="message" class="supernova_version_notice">'.__('This theme works best on the latest version of wordpress, some features might not work properly on this version, please update you wordpress!!', 'Supernova').'</p>';
			}
	}
	
//For thumbnail
function supernova_thumbnail(){
	if (has_post_thumbnail()){
	the_post_thumbnail('thumbnail');
		};
	}	

function supernova_title_image(){
	    $header_image = get_header_image();
		if ( ! empty( $header_image ) ) : ?>
	<img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" />
    	<?php endif; 
	}